| Wheelchair Control Diploma Thesis, Author: Ondrej Vozda, FEEC BUT, 2013

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events Pages
Public Attributes | Static Public Attributes | List of all members
World.Car Class Reference

Car parameters. More...

## Public Attributes
const float | CAR_LENGTH = 3.5f
| Car length [m]. More...
const Int32 | DRIVER_TO_REAR_DISTANCE_CM = 250
| Distance from driver seat to rear end [cm]. More...
const float | PLATFORM_LENGTH = 1.0f
| Platform length [m]. More...

## Static Public Attributes
static readonly Color | CAR_COLOR = Color.FromArgb(128, Color.Red)
| Color used to draw car. More...
static readonly Color | PLATFORM_COLOR = Color.FromArgb(128, Color.LightBlue)
| Color used to draw platform. More...
static PointF[] | CarRectangle = new PointF[4]
| Rectangle specifiing shape of the car. More...
static PointF[] | PlatformRectangle = new PointF[4]
| Rectangle specifiing shape of the platform. More...

## Detailed Description

Car parameters.

Definition at line 14 of file WorldMap.cs.

## Member Data Documentation

readonly Color World.Car.CAR_COLOR = Color.FromArgb(128, Color.Red)
| static

Color used to draw car.

Definition at line 34 of file WorldMap.cs.

const float World.Car.CAR_LENGTH = 3.5f

Car length [m].

Definition at line 19 of file WorldMap.cs.

PointF [] World.Car.CarRectangle = new PointF[4]
| static

Rectangle specifiing shape of the car.

Definition at line 44 of file WorldMap.cs.

const Int32 World.Car.DRIVER_TO_REAR_DISTANCE_CM = 250

Distance from driver seat to rear end [cm].

Definition at line 24 of file WorldMap.cs.

readonly Color World.Car.PLATFORM_COLOR = Color.FromArgb(128, Color.LightBlue)
| static

Color used to draw platform.

Definition at line 39 of file WorldMap.cs.

const float World.Car.PLATFORM_LENGTH = 1.0f

Platform length [m].

Definition at line 29 of file WorldMap.cs.

PointF [] World.Car.PlatformRectangle = new PointF[4]
| static

Rectangle specifiing shape of the platform.

Definition at line 49 of file WorldMap.cs.

The documentation for this class was generated from the following file:

- C:/Users/Ondra/Desktop/Wheelchair Control/WorldMap.cs